Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Interface CoordinateSequenceFilter

All Known Implementing Classes:
  AffineTransformation, BufferCurveMaximumDistanceFinder.MaxMidpointDistanceFilter, CoordinatePrecisionReducerFilter, DiscreteHausdorffDistance.MaxDensifiedByFractionDistanceFilter

public interface CoordinateSequenceFilter

Interface for classes which provide operations that can be applied to the coordinates in a `CoordinateSequence`. A CoordinateSequence filter can either record information about each coordinate or change the coordinate in some way. CoordinateSequence filters can be used to implement such things as coordinate transformations, centroid and envelope computation, and many other functions. For maximum efficiency, the execution of filters can be short-circuited. `Geometry` classes support the concept of applying a `CoordinateSequenceFilter` to each `CoordinateSequence`s they contain.

`CoordinateSequenceFilter` is an example of the Gang-of-Four Visitor pattern.

Version:
  1.7
Author:
  Martin Davis
See Also:
  `Geometry.apply(CoordinateSequenceFilter)`

Method Summary
`void` | `filter(CoordinateSequence seq, int i)` Performs an operation on a coordinate in a `CoordinateSequence`.
`boolean` | `isDone()` Reports whether the application of this filter can be terminated.
`boolean` | `isGeometryChanged()` Reports whether the execution of this filter has modified the coordinates of the geometry.

Method Detail

### filter

    public void filter(CoordinateSequence seq,
                       int i)

  Performs an operation on a coordinate in a `CoordinateSequence`.

  Parameters:
    `seq` - the `CoordinateSequence` to which the filter is applied
    `i` - the index of the coordinate to apply the filter to

### isDone

    public boolean isDone()

  Reports whether the application of this filter can be terminated. Once this method returns `false`, it should continue to return `false` on every subsequent call.

  Returns:
    true if the application of this filter can be terminated.

### isGeometryChanged

    public boolean isGeometryChanged()

  Reports whether the execution of this filter has modified the coordinates of the geometry. If so, `Geometry.geometryChanged()` will be executed after this filter has finished being executed.

  Most filters can simply return a constant value reflecting whether they are able to change the coordinates.

  Returns:
    true if this filter has changed the coordinates of the geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD